Skip to main content
GET
/
agents
List agents
curl --request GET \
  --url https://whatsrb.com/api/v1/agents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "agt_abc123",
      "business_account_id": "ba_abc123",
      "name": "<string>",
      "description": "<string>",
      "model": "gpt-4o-mini",
      "temperature": 0.3,
      "max_tokens": 1024,
      "active": true,
      "auto_run_inbound": true,
      "debounce_seconds": 10,
      "inbound_config": {
        "trigger_on": "all",
        "min_message_length": 0,
        "max_messages_per_hour": 0,
        "ignore_patterns": []
      },
      "tools": [
        {
          "key": "<string>",
          "name": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key from the WhatsRB dashboard. Format: Bearer wrb_live_xxx

Response

200 - application/json

OK

data
object[]